cascading.flow.tez.planner

## Class HashJoinHadoop2TezRuleRegistry

- java.lang.Object
- - cascading.flow.planner.rule.RuleRegistry
  - - cascading.flow.tez.planner.HashJoinHadoop2TezRuleRegistry

-     public class HashJoinHadoop2TezRuleRegistry
      extends RuleRegistry

  The HashJoinHadoop2TezRuleRegistry provides support for assemblies using `HashJoin` pipes.

  Detecting and optimizing for HashJoin pipes adds further complexity and time to converge on a valid physical plan.

  If facing slowdowns, and no HashJoins are used, switch to the `NoHashJoinHadoop2TezRuleRegistry` via the appropriate `FlowConnector` constructor.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HashJoinHadoop2TezRuleRegistry()`

  - ### Method Summary

    - ### Methods inherited from class cascading.flow.planner.rule.RuleRegistry

      `addDefaultElementFactory, addElementFactory, addRule, enableDebugLogging, enabledResolveElements, equals, getElementFactory, getName, getProcessLevels, getRulesFor, hasElementFactory, hashCode, hasRule, setResolveElementsEnabled`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HashJoinHadoop2TezRuleRegistry

          public HashJoinHadoop2TezRuleRegistry()

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.